About the program

"Stereo for Windows" supports stereoscopic three-dimensional imaging for MS Windows 95/98/NT/2000/XP. A stereo effect is provided by synchronous switching of stereo glasses and images on screen. A stereo pair is formed by the users program (The left image is formed - on even lines/pages, the right one - on odd lines/pages). A driver carries out glasses switching up and setting of the interlaced video mode. A full set of software includes a low-level stereo driver, a program of control and configuration (stctrl.exe), this help file and examples of using stereo driver API (samples.zip).


Instalation of the program

Installation the program

Run the setup.exe program on a distributive diskette. During installation specify a destination directory and a start-up folder on the tasks panel.

When the installation is successfully completed - run the program stctrl.exe (the path by default "start/programs/Stereo for Windows"), click the right mouse button at the icon [image] in the right bottom corner of the screen, choose menu item "Parameters..." and adjust a used serial port number, the type of a video adapter and stereo mode.


Connection of glasses

Connection the glasses

Stereo glasses are connected to an IBM PC by a special hardware driver. Turn off your computer and display, and connect the hardware driver to the computer as is shown below.

The sockets of the glasses controller are connected to a serial port, and between the video adapter and the display's cable.


Available stereo modes

Now stereo driver supports this stereo modes:

  • Interlaced

  • Default

  • Line blanking

  • Over/Under

  • Page Flipping


"Default" video mode

"Default" mode

For "Default" mode the stereo glasses is run, but the current video mode does not change. Use the given mode for page-flipping modes or if the necessary video mode is established by the external program (for example by " Control Panel " or directly by the video driver). For example, "page-flipping" mode is used in most games, as well as in the latest versions of "Detonator" drivers from nVidia. For games use "a delay before activation" for correct synchronization of glasses.


"Interlaced" video mode

"Interlaced" mode

In "Interlaced" stereo mode the video card operate in interlaced video mode. The current vertical refresh rate is doubled by default. For frequency control use a falling out list "Rate". Remember, more high vertical refresh rate creates more convenient conditions of operation, but it can result in a failure of deflection synchronization of the display or an actuation of a energy saving system of the display (damping of a screen). If this is the case, push Ctrl+Shift+M or simply wait for several seconds, while the original state of the video system is restored, diminish the used refresh rate and repeat the attempt to establish an interlaced stereo mode. Attention: The original state is restored automatically only upon selecting the check box " Test display before setting Stereo Mode " on page "Advanced", therefore do not dump this check box, until You convinced are sure, that your display works steadily in all video modes.

The "Interlaced" mode can be established only for supported video cards. Use "Line blanking" mode for the unsupported video cards or establish the interlaced vide mode manually by "Control Panel" or firmware utilities.

Also see "Default" video mode.


"Line blanking" video mode

"Line blanking" mode

"Line blanking" mode provide emulation of interlaced video mode for unsupported chipsets. In the given mode the additional switching of an video signal is provided by the controller of glasses ( 3DMax-2 and above). The mode "Line blanking" is accessible to all types of video adapters, but for flicker-free viewing the vertical refresh rate must be 120 Hz and above.


"Over/Under" video mode

"Over/Under" mode

In "Over/Under" mode the left and right half of the stereo pair are separated vertically, and the additional signal of vertical retrace is used for their matching. This mode is used in some full screen games. Model of glasses controller 3DMax-3 and above is needed for "Over/Under" mode.


"Interlaced" stereomode and nVidia chipsets

"Interlaced" mode and nVidia chipsets

nVidia chipsets do not support the interlaced video modes by hardware, therefore in this case is used the software emulation of the interlaced video modes. The emulation allows to increase frequency, but in this mode insignificant blinking of glasses is possible during work with CD ROM, with diskettes etc.

Another feature of software emulation is that some video drivers incorrectly displays the mouse pointer in "Interlaced" mode. In this case - reduce a level of a graphics acceleration.


"Page Flipping" mode

In the given mode the stereopair is placed to offscreen video memory and serially displayed by a signal of vertical retrace. The mode “ Page Flipping ” is used in our stereolibrary (Stereo SDK) and products on its basis. For the additional information about Stereo SDK address on stereo@ibik.ru


Controlling stereodriver

Access to functions of the stereo driver is provided by the control program stctrl.exe. After starting the program, the icon [image] appears in the right bottom corner of the screen. Click the mouse button on the icon and choose an appropriate menu item, or press the following "hot keys»:

  • "Properties"(CTRL+SHIFT+P) – to choose parameters of the stereo driver: serial port number and a stereo mode, or to get additional information about the stereo driver on the following pages: Properties, Advanced, Info.

  • "Stereo" (CTRL+SHIFT+S) – to set up a stereo mode ( i.e. set up an video mode and turn on stereo glasses)

  • "Mono" (CTRL+SHIFT+M) – to set mono mode ( i.e. set up a default video mode and turn off stereo glasses)

  • "Reverse" (CTRL+SHIFT+R) – to exchange the left and right images of the stereo pair.

  • "Help" – to run help file;

  • "Exit" – to close the program.


Pop-up Menu

The pop-up menu provides access to the control panel "Properties", to the setup of current operational mode and to exit from program.


Pages

Control panel pages

There are 3 pages in a control panel:

  1. "Properties"

  2. "Advanced"

  3. "Info"


Page "Properties"

Set-ups on the page "Properties" are clustered on two panels: " Glasses controller " and "Video".

On the panel " Glasses controller " it is possible to establish the following parameters:

  • Model - the type of the glasses controller. 3 models of controllers "3DMax" of the "IBIK" corporation are now supported.

  • Port - number of serial port, to which one the controller of glasses is connected.

On the panel "Video" it is possible to establish the following parameters:

  • Chipset - the list of the supported video controller.

  • Mode - the stereo mode used: Default, Interlaced, Line blanking, Over/Under.

  • Rate - the vertical refresh rate for modes Interlaced and Over/Under. In remaining modes the scan frequency does not change.

  • Sync - polarity of signals of a horizontal and vertical retrace. Given parameter allows to improve quality of output in a interlaced mode for some types of video cards. In remaining stereomodes given parameter will not be used.


Page "Advanced"

On page "Advanced" there are parameters:

  • Run on Windows start - to load the stereo driver automatically when Windows start. This option is useful in case you want to have the stereo driver always accessible.

  • Test the display before set a stereo mode - Upon selecting check box a confirmation of changes of video mode is asked.

  • Quick switch a video mode - use the quick switch from a stereo to a standard mode. Establish this check box if a default video mode is restored correctly.

  • Change a cursors in stereo modes - Set this flag if mouse cursors in stereo modes have incorrect vertical position.

  • NN seconds delay before activation - to delay the activation of a stereo mode after obtaining the command. The non-zero delay can be useful, for example, in games, when controls of the stereo driver become inaccessible.

  • NN lines add to start of vertical retrace - to shift the additional signal of vertical retrace in a mode "Over/Under" on NN of lines to top or bottom.

  • NN lines add to width of vertical retrace - increase/decrease of the duration of the additional signal of the vertical retrace in a mode "Over/Under".


Page "Info"

Page "Info" indicates the version of the driver and links to the site of the developer.


Stereodriver API

The interaction with the stereodriver is carried out by means of the mechanism of Windows system messages. The messages are sent to the main window (class of window - TStereoControl) of program stctrl.exe. The messages can be sent as from Win16 and Win32 tasks. Now are available this set of commands:

STCTRL_OFF - deactivate a stereo mode

STCTRL_ON - activate a stereo mode

STCTRL_RVRS - change the polarity of stereo glasses

STCTRL_CONFIG - open the control panel

STCTRL_DEFAULT - set default stereo mode

STCTRL_IL - set interlaced stereo mode

STCTRL_EMUL - set line blanking stereo mode

STCTRL_OVERUNDER - set over/under stereo mode

STCTRL_EXIT - shut down the program (stctrl.exe)

The example of interaction and loading of the program stctrl.exe is given in the file samples.zip/sendmsg.cpp.


Supported chipsets

Now "Interlaced video mode" is supported for video adapters based on the following chipsets:

  • ATI: Rage, Rage II, Rage 128, Radeon

  • Intel: i740, i810, i815

  • Matrox: MGA Millenium, G100/G200/G400/G450/G550/G650

  • nVidia: TNT, TNT2, GeForce 1/2/3/4 (*)

  • S3: V86x, V96x, Trio32, Trio64, Virge, S3/3D, Savage4 (**)

  • SiS: SiS6326, SiS300, SiS305, SiS315, SiS330/Xabre

  • Trident: 8900, 9xxx (***)

Notes:

(*) - Software emulation mode

(**) – For chips S3 Savage and Trident chips only modes with 8-bits depth of color are supported.

For the remaining plates it is necessary to establish an interlaced video mode manually or to use a mode "Line blanking".

All others stereo modes are hardware-independent modes.


Known problems and limitations

  • An errors can appear during of the installation and running of the program in Windows NT/2000/XP in the user session with a limited rights. For the decision of this problem increase privileges of the given user or use a log-on with administrative rights.

  • For some video modes the mouse cursor is displayed incorrectly (the cursor is vertically displaced twice as much as necessary). In this case set the flag "Change a cursors in stereo modes" on page "Advanced" of control panel.If it insufficiently - reduce a level of a hardware acceleration on a bookmark "Control Panel/ Display/ Settings/ Advanced/ Troubleshooting/ Hardware acceleration" for Windows2000/XP or "Control Panel/ System/ Performance/ Graphics" for Windows9x/Me.

  • Vertical refresh rate may be established incorrectly in a stereo mode, especially when the monitor's utilities (a like PowerStrip) are running.

  • For S3 Savage and Trident chipsets only the 256-colour modes are supported

  • Some problems with "Interlaced" stereo mode may appear for "Dual Head" - video cards. In this case turn off support of second display.

  • In Windows 98/Me stereo driver isn't compatible with "Catalist"-series of drivers for ATI Radeon. To resolve this problem - use a ATI Radeon drivers v.4.13.9016 or early.

  • If the vertical refresh rate in the stereo mode are too high the vertical synchronization can be lost or the display can be turned off by power management system. In this case reduce the frequency of a vertical refresh rate in a line "Rate" on a bookmark "Properties" of control panel of the stereodriver, or establish " Rate: Default " and reduce the current frequency of vertical refresh rate on a bookmark "Control Panel/ Display/ Settings/ Advanced/ Monitor/ Refresh frequency" of the Control Panel of Windows. If display is blank - press Ctrl+Shift+M to return to mono mode.

  • Sometimes (for example in games) the "shortcuts" and the activation menu of a stereo driver are unaccessible. If this is the case establish the "delayed" start on page "Properties/Advanced" and turn on a stereo mode, before starting the applied programm.

  • Upon hooking up of the controller "3DMax-3" to some types of video cards the display image disappears. The reason is that models of the controller "3DMax-3" need a power supply 5V, which one is available for all modern VESA 1.1 DDC-compatible video cards (with connectors of blue color), but can unavailable for cards of more earlier versions (with connectors of black color). In this case it is necessary to use models of the controller "3DMax-1", "3DMax-2" or modification of the controller "3DMax-3" with the additional connector for external power supply.

  • Modem ( or external infrared port) is unavailable while the program stctrl.exe is loaded. Stereo glasses use the serial port of the computer, and the conflicts with the programs of modem management are possible (specially while using pair of a serial ports (i.e.1-3 or 2-4) with equal IRQs). In order to prevent it You should run only one program at a time, the others should be unloaded from memory then.


Additional information and support

The new versions of the programs and additional information can be found on the site www.ibik.ru With questions and offers contact at: stereo@ibik.ru.